
/*=============================================================================
   beest, an HTML viewer.
   Copyright (C) 2000 Zachary Thayer Smith

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   The author is reachable by electronic mail at zeyr@excite.com.
=============================================================================*/

/*----------------------------------------------------------------------
 * Module name:    interact.h
 * Author name:    Zach Smith
 * Create date:    11 Dec 2000
 * Last change:    11 Dec 2000
 * Purpose:        Prototypes and definitions for user I/O
 *----------------------------------------------------------------------
 * Changes:
 *--------------------------------------------------------------------*/


extern void draw_title_and_copyright (DisplayDevice *, Coordinate, Coordinate,
	Dimension);
extern void draw_banner (DisplayDevice *dpy);
extern void draw_logo (DisplayDevice *dpy);
extern void undraw_quotation (DisplayDevice *dpy, Image *im);
extern void draw_quotation (DisplayDevice *dpy, Image *im);
extern void interaction (DisplayDevice *dpy, Group *toplevel);


