
/*=============================================================================
   striph, a mindless HTML tag remover.
   Copyright (C) 2000 Zachary Thayer Smith

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   The author is reachable by electronic mail at zeyr@excite.com.
=============================================================================*/

/*----------------------------------------------------------------------
 * Module name:    striph.c
 * Author name:    Zach Smith
 * Create date:    1 Oct 2000
 * Last change:    1 Oct 2000
 * Purpose:        main() routine
 *----------------------------------------------------------------------
 * Changes:
 *--------------------------------------------------------------------*/


#include <stdio.h>

int
main() {
	int ch;
	int in_tag=0;

	while (EOF!=(ch=getchar())) {
		if (ch=='<') in_tag=1;
		else
		if (ch=='>') in_tag=0;
		else
		{
			if (!in_tag) putchar(ch);
		}
	}
}



